
Name:           kdevplatform
Summary:        Libraries for use by KDE development tools
Version:        5.1.1
Release:        1%{?dist}
License:        GPLv2

URL:            http://quickgit.kde.org/?p=%{name}.git
Source0:        http://download.kde.org/unstable/kdevelop/%{version}/src/kdevplatform-%{version}.tar.xz

BuildRequires:  boost-devel
BuildRequires:  gettext
BuildRequires:  pcre-devel
BuildRequires:  subversion-devel
BuildRequires:  grantlee-qt5-devel >= 5.1.0-2
%{?grantlee5_requires}
BuildRequires:  libkomparediff2-devel

BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-karchive-devel
BuildRequires:  kf5-kconfig-devel
BuildRequires:  kf5-kguiaddons-devel
BuildRequires:  kf5-kwidgetsaddons-devel
BuildRequires:  kf5-kiconthemes-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kitemmodels-devel
BuildRequires:  kf5-kitemviews-devel
BuildRequires:  kf5-kjobwidgets-devel
BuildRequires:  kf5-kcmutils-devel
BuildRequires:  kf5-kio-devel
BuildRequires:  kf5-knewstuff-devel
BuildRequires:  kf5-knotifications-devel
BuildRequires:  kf5-knotifyconfig-devel
BuildRequires:  kf5-kparts-devel
BuildRequires:  kf5-kservice-devel
BuildRequires:  kf5-sonnet-devel
BuildRequires:  kf5-ktexteditor-devel
BuildRequires:  kf5-threadweaver-devel
BuildRequires:  kf5-kwindowsystem-devel
BuildRequires:  kf5-kdeclarative-devel
BuildRequires:  kf5-kxmlgui-devel

BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtdeclarative-devel
BuildRequires:  qt5-qtwebkit-devel

Requires: %{name}-libs%{?_isa} = %{version}-%{release}

%description
KDE Development platform, the foundations upon which
KDevelop and Quanta are built.

%package libs
Summary: Runtime libraries for %{name}
Requires: %{name} = %{version}-%{release}
%description libs
%{summary}.

%package devel
Summary:  Developer files for %{name}
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: boost-devel
Requires: commoncpp2-devel
Requires: subversion-devel
Requires: qt5-qtbase-devel
Requires: qt5-qtdeclarative-devel
Requires: cmake(KF5Archive)
Requires: cmake(KF5Config)
Requires: cmake(KF5ConfigWidgets)
Requires: cmake(KF5GuiAddons)
Requires: cmake(KF5I18n)
Requires: cmake(KF5IconThemes)
Requires: cmake(KF5ItemViews)
Requires: cmake(KF5JobWidgets)
Requires: cmake(KF5KCMUtils)
Requires: cmake(KF5KIO)
Requires: cmake(KF5NewStuff)
Requires: cmake(KF5Notifications)
Requires: cmake(KF5NotifyConfig)
Requires: cmake(KF5Parts)
Requires: cmake(KF5Service)
Requires: cmake(KF5TextEditor)
Requires: cmake(KF5ThreadWeaver)
Requires: cmake(KF5WindowSystem)
Requires: cmake(Grantlee5)
%description devel
%{summary}.


%prep
%autosetup -n kdevplatform-%{version} -p1


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --all-name


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

%files -f %{name}.lang
%license COPYING.PLUGINS COPYING.SRC
%{_bindir}/kdev_dbus_socket_transformer
%{_bindir}/kdev_format_source
%{_bindir}/kdevplatform_shell_environment.sh
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/kdevcodegen/
%{_datadir}/kdevcodeutils/
%{_datadir}/kdevplatform/shellutils/.zshrc
%{_kf5_datadir}/kservicetypes5/kdevelopplugin.desktop

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files libs
%{_libdir}/lib*.so.*
%{_libdir}/*.so
%{_kf5_qtplugindir}/kdevplatform/
# FIXME/TODO: does not use standard %%{?grantlee5_plugindir}, is that a problem?  -- rex
%dir %{_kf5_qtplugindir}/grantlee/
%dir %{_kf5_qtplugindir}/grantlee/%{grantlee5_plugins}/
%{_kf5_qtplugindir}/grantlee/%{grantlee5_plugins}/kdev_filters.so
%{_qt5_prefix}/qml/org/kde/kdevplatform/

%files devel
%{_libdir}/lib*.so
%{_includedir}/kdevplatform/
%{_libdir}/cmake/KDevPlatform


%changelog
* Mon May 29 2017 Jan Grulich <jgrulich@redhat.com> - 5.1.1-1
- Update to 5.1.1

* Mon May 15 2017 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_27_Mass_Rebuild

* Mon Mar 20 2017 Jan Grulich <jgrulich@redhat.com> - 5.1.0-1
- Update to 5.1.0

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.80-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jan 27 2017 Jonathan Wakely <jwakely@redhat.com> - 5.0.80-2
- Rebuilt for Boost 1.63

* Tue Jan 17 2017 Jan Grulich <jgrulich@redhat.com> - 5.0.80-1
- Update to 5.0.80 (beta)

* Thu Dec 01 2016 Jan Grulich <jgrulich@redhat.com> - 5.0.3-1
- Update to 5.0.3

* Mon Oct 17 2016 Jan Grulich <jgrulich@redhat.com> - 5.0.2-1
- Update to 5.0.2

* Sat Oct 01 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.0.1-4
- remove unused %%kdevelop_ver macro, use %%autosetup

* Wed Sep 28 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.0.1-3
- -devel: fix typos

* Fri Sep 23 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.0.1-2
- -devel: add (cmake) deps

* Mon Sep 19 2016 Jan Grulich <jgrulich@redhat.com> - 5.0.1-1
- Update to 5.0.1

* Wed Sep 07 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.0.0-2
- cosmetics, update URL, use %%grantlee5_requires, main Requires: -libs

* Wed Aug 24 2016 Helio Chissini de Castro <helio@kde.org> - 5.0.0-1
- New upstream version

* Mon Aug 08 2016 Jan Grulich <jgrulich@redhat.com> - 5.0.0-0.2.20160808git
- Update to latest git snapshot

* Wed Jun 08 2016 Jan Grulich <jgrulich@redhat.com> - 5.0.0-0.1.20160608git
- Package latest git snapshot to address GCC 6 related crashes
  Resolves: bz#1343439

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.90.91-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jan 26 2016 Jan Grulich <jgrulich@redhat.com> - 4.90.91-1
- Update to 4.90.91 (beta 2)

* Fri Jan 15 2016 Jonathan Wakely <jwakely@redhat.com> - 4.90.90-2
- Rebuilt for Boost 1.60

* Thu Oct 29 2015 Jan Grulich <jgrulich@redhat.com> - 4.90.90-1
- Update to 4.90.90 (beta 1)

* Mon Oct 12 2015 Jan Grulich <jgrulich@redhat.com> - 1.7.2-1
- Update to 1.7.2

* Thu Aug 27 2015 Jonathan Wakely <jwakely@redhat.com> - 1.7.1-6
- Rebuilt for Boost 1.59

* Wed Jul 29 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.1-5
- Rebuilt for https://fedoraproject.org/wiki/Changes/F23Boost159

* Wed Jul 22 2015 David Tardon <dtardon@redhat.com> - 1.7.1-4
- rebuild for Boost 1.58

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon May 04 2015 Rex Dieter <rdieter@fedoraproject.org> 1.7.1-2
- rebuild (grantlee)

* Tue Feb 03 2015 Jan Grulich <jgrulich@redhat.com> - 1.7.1-1
- Update to 1.7.1

* Sat Jan 31 2015 Rex Dieter <rdieter@fedoraproject.org> - 1.7.0-3
- kde-apps cleanup, .spec cleanup, update URL

* Mon Jan 26 2015 Petr Machata <pmachata@redhat.com> - 1.7.0-2
- Rebuild for boost 1.57.0

* Wed Aug 27 2014 Jan Grulich <jgrulich@redhat.com> - 1.7.0-1
- Update to 1.7.0

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.90-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jul 11 2014 Jan Grulich <jgrulich@redhat.com> - 1.6.90-1
- Update to 1.6.90 (beta1)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 22 2014 Petr Machata <pmachata@redhat.com> - 1.6.0-2
- Rebuild for boost 1.55.0

* Sun Dec 08 2013 Jan Grulich <jgrulich@redhat.com> - 1.6.0-1
- Update to 1.6.0

* Wed Nov 27 2013 Jan Grulich <jgrulich@redhat.com> - 1.5.90-1
- Update to 1.5.90

* Mon Nov 18 2013 Jan Grulich <jgrulich@redhat.com> - 1.5.80-1
- Update to 1.5.80

* Thu Oct 31 2013 Jan Grulich <jgrulich@redhat.com> - 1.5.2-1
- Update to 1.5.2

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 30 2013 Petr Machata <pmachata@redhat.com> - 1.5.1-2
- Rebuild for boost 1.54.0

* Thu May 30 2013 Jan Grulich <jgrulich@redhat.com> - 1.5.1-1
- Update to 1.5.1

* Fri Apr 26 2013 Jan Grulich <jgrulich@redhat.com> - 1.5.0-1
- Update to 1.5.0

* Thu Apr 25 2013 Jan Grulich <jgrulich@redhat.com> - 1.4.90-1
- Update to 1.4.90 (RC1)

* Sun Feb 10 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.4.1-5
- Rebuild for Boost-1.53.0

* Sat Feb 09 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.4.1-4
- Rebuild for Boost-1.53.0

* Tue Nov 27 2012 Jan Grulich <jgrulich@redhat.com> 1.4.1-3
- Rebuild (qjson)

* Fri Nov 23 2012 Jan Grulich <jgrulich@redhat.com> 1.4.1-2
- Rebuild for qjson 0.8.0

* Mon Nov 05 2012 Jan Grulich <jgrulich@redhat.com> 1.4.1-1
- Update to 1.4.1

* Tue Oct 23 2012 Jan Grulich <jgrulich@redhat.com> 1.4.0-1
- Update to 1.4.0

* Fri Sep 07 2012 Radek Novacek <rnovacek@redhat.com> 1.3.90-1
- Update to 1.3.90 (RC1)

* Tue Aug 07 2012 Radek Novacek <rnovacek@redhat.com> 1.3.80-1
- Update to 1.3.80 (beta 1)

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Apr 15 2012 Rex Dieter <rdieter@fedoraproject.org> 1.3.1-1
- 1.3.1

* Mon Mar 12 2012 Jaroslav Reznik <jreznik@redhat.com> 1.3.0-1
- Update to 1.3.0

* Sun Feb 26 2012 Radek Novacek <rnovacek@redhat.com> 1.2.90-1
- Update to 1.2.90 (RC 1)

* Tue Feb 14 2012 Jaroslav Reznik <jreznik@redhat.com> 1.2.82-2
- Update to 1.2.82 (beta 2)
- Remove unistd.h include fix
- Remove kdevelop-php build failure patch

* Wed Jan 25 2012 Radek Novacek <rnovacek@redhat.com> 1.2.81-2
- Fix kdevelop-php build failure

* Mon Jan 23 2012 Radek Novacek <rnovacek@redhat.com> 1.2.81-1
- Update to 1.2.81 (1.3 beta)
- Fix missing unistd.h include (g++ 4.7 issue)
- Install new files

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Dec 24 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.2.3-3
- remove set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE) line

* Sat Oct 08 2011 Rex Dieter <rdieter@fedoraproject.org> - 1.2.3-2
- Requires: kate-part

* Mon Jun 27 2011 Radek Novacek <rnovacek@redhat.com> - 1.2.3-1
- Update to 1.2.3

* Thu Apr 07 2011 Radek Novacek <rnovacek@redhat.com> - 1.2.2-1
- Update to 1.2.2
- Remove FTBFS with g++ 4.6 patch

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 29 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.2.0-2
- fix FTBFS with g++ 4.6

* Tue Jan 25 2011 Rex Dieter <rdieter@fedoraproject.org> - 1.2.0-1
- 1.2.0

* Fri Jan 21 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.1.90-1
- Update to 1.1.90 (1.2 RC1)

* Tue Dec 28 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.1.81-1
- Update to 1.1.81 (1.2 Beta 2)

* Thu Dec 16 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.1.80-1
- Update to 1.1.80 (1.2 Beta 1, required for kdelibs 4.6, #660740)

* Mon Dec 06 2010 Rex Dieter <rdieter@fedoraproject.org> -  1.1.1-1
- Update to 1.1.1

* Thu Oct 21 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.1.0-2
- added BR qjson-devel

* Wed Oct 20 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.1.0-1
- update to 1.1.0

* Wed Sep 29 2010 jkeating - 1.0.82-2
- Rebuilt for gcc bug 634757

* Sun Sep 26 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.0.82-1
- update to 1.0.82

* Wed Aug 11 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.0.1-1
- update to 1.0.1
- remove Source1, upstream doesn't ship a .md5sum anymore

* Thu Apr 29 2010 Rex Dieter <rdieter@fedoraproject.org> - 1.0.0-1
- kdevplatform-1.0.0

* Sat Apr 17 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.10.2-1
- kdevplatform-0.10.2

* Thu Apr 08 2010 Rex Dieter <rdieter@fedoraproject.org. - 0.10.0-1
- kdevplatform-0.10.0

* Mon Mar 08 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.9.99-1
- kdevplatform-0.9.99

* Mon Feb 22 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.9.98-1
- kdevplatform-0.9.98

* Sat Jan 16 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.9.97-2
- rebuild (boost)
- BR: kdelibs4-devel

* Thu Jan 07 2010 Rex Dieter <rdieter@fedoraproject.org> 0.9.97-1
- kdevplatform-0.9.97
- kdevplatform: file conflict with kdelibs (FindKDevPlatform.cmake) (#541690)

* Sun Nov 22 2009 Rex Dieter <rdieter@fedoraproject.org> 0.9.95-0.6.20091015svn1035382
- rebuild (fc13+, qt-4.6.0-rc1)

* Thu Oct 15 2009 Ben Boeckel <MathStuf@gmail.com> - 0.9.95-0.5.20091015svn1035382
- New snapshot

* Sun Oct 11 2009 Ben Boeckel <MathStuf@gmail.com> - 0.9.95-0.4.beta5
- Fix finding Kompare includes

* Tue Sep 29 2009 Ben Boeckel <MathStuf@gmail.com> - 0.9.95-0.3.beta5
- Use official release

* Mon Sep 14 2009 Ben Boeckel <MathStuf@gmail.com> - 0.9.95-0.2
- Add icon scriptlets

* Mon Sep 14 2009 Ben Boeckel <MathStuf@gmail.com> - 0.9.95-0.1
- Update tarball

* Fri May 29 2009 Ben Boeckel <MathStuf@gmail.com> - 0.9.93-0.1
- 1.0 Beta 3

* Sat Feb 21 2009 Lorenzo Villani <lvillani@binaryhelix.net> - 0.9.91-0.2.20090221svn929301
- Post KDevplatform 1.0 Beta 1 snapshot

* Fri Jan 09 2009 Lorenzo Villani <lvillani@binaryhelix.net> - 0.9.85-1
- 0.9.85 snapshot
